#include <stdio.h>
#include <stdlib.h>
#include <xenctrl.h>

void usage( char* cmdline )
{
    printf( "Usage: %s [domain_id]\n", cmdline );
    exit( 0 );
}

int main( int argc, char * argv[] )
{
    int handle, ret;
    uint16_t pri;
    uint32_t domain_id;
    xc_domaininfo_t info;

    if( argc != 2 ) usage( argv[0] );

    domain_id = (uint32_t) strtol( argv[1], NULL, 0 );

    if ( domain_id > 0x7fff ){
	printf( "Error domain ID %d.\n", domain_id );
	exit( -1 );
    }

    handle = xc_interface_open();

    ret = xc_sdp_domain_get( handle, domain_id, &pri );

    if( ret < 0 ){
	printf( "operation failed, domain with ID %d may not exists!\n", domain_id );
	xc_interface_close( handle );
	return -1;
    }
    printf( "domain id = %u\tpriority = %u\n", domain_id, pri );

    xc_interface_close( handle );
}

