#include <stdio.h>
#include <stdlib.h>
#include <xenctrl.h>

void usage( char* cmdline )
{
    printf( "Usage: %s [domain_id] [new_priority]\n", cmdline );
    exit( 0 );
}

int main( int argc, char* argv[] )
{
    int handle, ret;
    uint16_t pri;
    uint32_t domain_id;

    if( argc != 3 ) usage( argv[0] );

    domain_id = (uint32_t) strtol( argv[1], NULL, 0 );

    if ( domain_id > 0x7fff ){
        printf( "Error domain ID %d.\n", domain_id );
        exit( -1 );
    }

    pri = (uint16_t) strtol( argv[2], NULL, 0 );

    if ( pri > 100 ){
        printf( "Error priority %d. It has the range [0, 100].\n", pri );
        exit( -1 );
    }

    handle = xc_interface_open();

    ret = xc_sdp_domain_set( handle, domain_id, pri );

    if( ret < 0 ){
        printf( "operation failed, domain with ID %d may not exists!\n", domain_id );
	xc_interface_close( handle );
	return -1;
    }
    printf( "New priority is set.\n" );

    xc_interface_close( handle );

}

